#### HOST

#### Synopsis

    HELP:   Use host format (LLxx) for the length field
    TYPE:   OBJECT
    SYNTAX: HOST(ENDIAN=SYSTEM/BIG/LITTLE/LOCAL,EXCLUDE)

#### Description

The object defines the 4 byte host specific format (LLxx) of the length field. This format uses the first 16 bits as integer in big endian or little endian byte order to represent the record length including or excluding the record length field itself and the last 16 bits are set to zero when writing and ignored when reading.

For example, a record with 136 bytes content has a default length field (big endian, inclusive) of:

       x'008D0000'

The default conforms to the length fields used by the data management system of MVS.

#### Arguments

- `NUMBER: ENDIAN=SYSTEM/BIG/LITTLE/LOCAL - Byte order [BIG ENDIAN] for first 16 Bit`
  - `SYSTEM - Byte order of the default logical system`
  - `BIG - Big endian byte order`
  - `LITTLE - Little endian byte order`
  - `LOCAL - Byte order of the real physical system`
- `SWITCH: EXCLUDE - Record length field not part of the length value [OFF]`